package l01_introduction;

public class BitwiseOperators {
	public static void main(String[] args) {

		final int k = 0xf0f0f0f0;
		final int m = 0xc3c3c3c3;
		printBin("a1", k);
		printBin("a2", m);
		printBin("~a2", ~m);
		printBin("a1 & a2", k & m);
		printBin("a1 | a2", k | m);
		printBin("a1 ^ a2", k ^ m);
		System.out.println();
		printBin("a1 << 2", k << 2);
		printBin("a1 >> 2", k >> 2);
		printBin("a1 >>> 2", k >>> 2);
	}

	private static void printBin(String name, int n) {
		System.out.format("%8s = %s%n", name, toBinString(n));
	}

	private static String toBinString(int n) {
		return String.format("%32s", Integer.toBinaryString(n)).replaceAll(" ", "0");
	}
}

