package l01_introduction;

import java.util.Locale;

public class Operators {

	private static void print_int(String name, int value) {
		System.out.format ("%10s = %d%n", name, value);
	}

	private static void print_double(String name, double value) {
		System.out.format ("%10s = %.6f%n", name, value);
	}

	public static void main(String[] args) {

		Locale.setDefault(Locale.US);
		print_int("7 / 3", 7 / 3);
		print_double("7 / 3", (double) (7 / 3));
		print_double("7. / 3", 7. / 3);
		print_int("7 % 3", 7 % 3);
		print_int("(-7) % 3", (-7) % 3);
		print_int("7 % (-3)", 7 % (-3));
		System.out.println();

		int m = 5, n;
		n = m++;
		System.out.format ("m = %d, n = %d%n", m, n); // 6 5
		n = ++m;
		System.out.format ("m = %d, n = %d%n", m, n); // 7 7
	}
}

